API Documentation | All Packages | All Classes | Index | Frames No Frames |
JPEGImage

Package | org.alivepdf.images
Class | public final class JPEGImage
Inheritance | JPEGImage PDFImage Object

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined By
--- | --- | ---
|  | bpc : int = 8 | PDFImage
|  | bytes : ByteArray [read-only] | PDFImage
|  | cs : String = DeviceRGB | PDFImage
|  | ct : Number | PDFImage
|  | f : String | PDFImage
|  | FORMAT_JPEG : int = 0 [static] | JPEGImage
|  | height : int | PDFImage
|  | i : int | PDFImage
|  | n : int | PDFImage
|  | pal : String | PDFImage
|  | parameters : String | PDFImage
|  | progressive : Boolean | PDFImage
|  | trns : String | PDFImage
|  | width : int | PDFImage

Protected Properties
Hide Inherited Protected Properties
Show Inherited Protected Properties

| Property | Defined By
--- | --- | ---
|  | stream : ByteArray | PDFImage

Public Methods

| Method | Defined By
--- | --- | ---
|  | JPEGImage(imageStream:ByteArray, id:int) | JPEGImage

Property Detail

FORMAT_JPEG | property

`public static var FORMAT_JPEG:int = 0`

Constructor Detail

JPEGImage | () | Constructor

`public function JPEGImage(imageStream:ByteArray, id:int)`

Parameters

| `imageStream:ByteArray`
| `id:int`

Mon Oct 17 2011, 09:13 PM -04:00